## Called by 'items/cloud_wand/place', 'items/copper_wrench/rotate', 'items/flare_wand/place', 'items/item_magnet/magnetize'
## Attempts damage the custom item used by this player and sets '&itemDamage multipack.temp' to the 
## item's new damage. Returns 1 for success and 0 for failure
# Return if item was protected by unbreaking enchantment, creative mode, or Unbreakable tag
execute if score &itemID multipack.temp matches 1.. unless predicate m_copper_wrench:chance/damage_mainhand run return 0
execute if score &itemID multipack.temp matches ..-1 unless predicate m_copper_wrench:chance/damage_offhand run return 0

# Increment damage
execute if score &itemID multipack.temp matches 1.. store result score &itemDamage multipack.temp run data get entity @s SelectedItem.tag.Damage
execute if score &itemID multipack.temp matches ..-1 store result score &itemDamage multipack.temp run data get entity @s Inventory[{Slot:-106b}].tag.Damage
scoreboard players add &itemDamage multipack.temp 1
execute store result storage m_copper_wrench:damage Damage int 1 run scoreboard players get &itemDamage multipack.temp
execute if score &itemID multipack.temp matches 1.. run item modify entity @s weapon.mainhand m_copper_wrench:damage
execute if score &itemID multipack.temp matches ..-1 run item modify entity @s weapon.offhand m_copper_wrench:damage
return 1
